<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.admin.MonitorLogMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.admin.MonitorLog">
        <id column="id" property="id" />
        <result column="company_id" property="companyId" />
        <result column="station_id" property="stationId" />
        <result column="type" property="type" />
        <result column="sn" property="sn" />
        <result column="offline_time" property="offlineTime" />
        <result column="offline_status" property="offlineStatus" />
        <result column="is_notice" property="isNotice" />
        <result column="is_recover" property="isRecover" />
        <result column="recover_time" property="recoverTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id,company_id,station_id, type, sn, offline_time, offline_status, is_notice, is_recover, recover_time
    </sql>

</mapper>
